c
c Demo code of interface with freePascal mtx09.pas unit
c
      subroutine sub1(n,x)
c
      integer n
      real*8 x(n)
c
      integer i
c
      do 10 i = 1, n
      x(i) = x(i)*2.0
   10 continue
c
      return
      end
c
c compile with: gfortran -c sub1.f
c to get sub1.o
c
